{
    "!name": "pascal",

    "DayOf": {
        "!type": "fn() -> ",
        "!doc" : "function DayOf(dt: double): integer; Получить значение дня из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedayof.html"
    },
    "DayOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function DayOfTheWeek(dt: double): integer; Получить номер дня недели по указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedayoftheweek.html"
    },
    "DaysBetween": {
        "!type": "fn() -> ",
        "!doc" : "function DaysBetween(dNow, dThen: double): integer; Узнать, сколько полных дней между двумя датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimedaysbetween.html"
    },
    "DecodeDate": {
        "!type": "fn() -> ",
        "!doc" : "procedure DecodeDate(dt: double; var wYear, wMonth, wDay: word); Возвращает значения года, месяца и дня из значения переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedecodedate.html"
    },
    "DecodeDateTime": {
        "!type": "fn() -> ",
        "!doc" : "procedure DecodeDateTime(dt: double; var wYear, wMonth, wDay, wHour, wMinute, wSecond, wMilliSec: word); Возвращает значения года, месяца, дня, часов, минут, секунд и миллисекунд из значения переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatedecodedatetime.html"
    },
    "EncodeDate": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeDate(wYear, wMonth, wDay: word): double; Получение переменной типа дата/время из переданных значений года, месяца и дня.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateencodedate.html"
    },
    "EncodeDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeDateTime(wYear, wMonth, wDay, wHour, wMinute, wSecond, wMilliSec: word): double; Получение переменной типа дата/время из переданных значений года, месяца, дня, часов, минут, секунд и миллисекунд.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateencodedatetime.html"
    },
    "EndOfTheDay": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheDay(dt: double): double; Получить значение даты и времени конца суток указанной даты.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheday.html"
    },
    "FormatDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function FormatDateTime(sFormat: string; dt: double): string; Преобразование даты и времени в форматированную текстовую строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeformatdatetime.html"
    },
    "HourOf": {
        "!type": "fn() -> ",
        "!doc" : "function HourOf(dt: double): integer; Получить значение дня из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatehourof.html"
    },
    "HoursBetween": {
        "!type": "fn() -> ",
        "!doc" : "function HoursBetween(dNow, dThen: double): integer; Узнать, сколько полных часов между двумя датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimehoursbetween.html"
    },
    "IncDay": {
        "!type": "fn() -> ",
        "!doc" : "function IncDay(dt: double; iDays: int64): double; Прибавить или отнять нужное количество дней к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincday.html"
    },
    "IncHour": {
        "!type": "fn() -> ",
        "!doc" : "function IncHour(dt: double; iHours: int64): double; Прибавить или отнять нужное количество часов к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateinchour.html"
    },
    "IncMilliSecond": {
        "!type": "fn() -> ",
        "!doc" : "function IncMilliSecond(dt: double; iMilliSeconds: int64): double; Прибавить или отнять нужное количество миллисекунд к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincmillisecond.html"
    },
    "IncMinute": {
        "!type": "fn() -> ",
        "!doc" : "function IncMinute(dt: double; iMinutes: int64): double; Прибавить или отнять нужное количество минут к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincminute.html"
    },
    "IncMonth": {
        "!type": "fn() -> ",
        "!doc" : "function IncMonth(dt: double; iMonths: int64): double; Прибавить или отнять нужное количество месяцев к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincmonth.html"
    },
    "IncSecond": {
        "!type": "fn() -> ",
        "!doc" : "function IncSecond(dt: double; iSeconds: int64): double; Прибавить или отнять нужное количество секунд к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincsecond.html"
    },
    "IncWeek": {
        "!type": "fn() -> ",
        "!doc" : "function IncWeek(dt: double; iWeeks: int64): double; Прибавить или отнять нужное количество недель к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincweek.html"
    },
    "IncYear": {
        "!type": "fn() -> ",
        "!doc" : "function IncYear(dt: double; iYears: int64): double; Прибавить или отнять нужное количество лет к указанной дате.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateincyear.html"
    },
    "MilliSecondsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function MilliSecondsBetween(dNow, dThen: double): integer; Узнать, сколько миллисекунд между двумя датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimemillisecondsbetween.html"
    },
    "MinuteOf": {
        "!type": "fn() -> ",
        "!doc" : "function MinuteOf(dt: double): integer; Получить значение минут текущего часа из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateminuteof.html"
    },
    "MonthOf": {
        "!type": "fn() -> ",
        "!doc" : "function MonthOf(dt: double): integer; Получить значение месяца из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatemonthof.html"
    },
    "MonthsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function MonthsBetween(dNow, dThen: double): integer; Узнать, сколько полных месяцев между двумя датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimemonthsbetween.html"
    },
    "Now": {
        "!type": "fn() -> ",
        "!doc" : "function Now: double; Получить текущее значение даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimenow.html"
    },
    "SecondOf": {
        "!type": "fn() -> ",
        "!doc" : "function SecondOf(dt: double): integer; Получить значение секунд текущей минуты из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatesecondof.html"
    },
    "SecondsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function SecondsBetween(dNow, dThen: double): integer; Узнать, сколько полных секунд между двумя датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimesecondsbetween.html"
    },
    "StartOfTheDay": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheDay(dt: double): double; Получение даты и времени начала суток указанной даты.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheday.html"
    },
    "WeekOf": {
        "!type": "fn() -> ",
        "!doc" : "function WeekOf(dt: double): integer; Получить значение недели из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateweekof.html"
    },
    "WeeksBetween": {
        "!type": "fn() -> ",
        "!doc" : "function WeeksBetween(dNow, dThen: double): integer; Сколько недель между двумя указанными датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeweeksbetween.html"
    },
    "YearOf": {
        "!type": "fn() -> ",
        "!doc" : "function YearOf(dt: double): integer; Получить значение года из переменной даты и времени.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateyearof.html"
    },
    "YearsBetween": {
        "!type": "fn() -> ",
        "!doc" : "function YearsBetween(dNow, dThen: double): integer; Сколько лет между двумя указанными датами.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimeyearsbetween.html"
    },
    "mGetConfNameByUID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfNameByUID(iUID: integer): string; Получить текстовое имя многопользовательской конференции по её числовому идентификатору (UID).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfnamebyuid.html"
    },
    "mIsUserIncludedToAutoConf": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserIncludedToAutoConf(iUIN, iUID: integer): boolean; Выяснить, входит ли пользователь в список людей, которые автоматически включаются в автосоздаваемую конференцию.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmisuserincludedtoautoconf.html"
    },
    "Abs": {
        "!type": "fn() -> ",
        "!doc" : "function Abs(x: extended): extended; Получить модуль от числа (целого или вещественного).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathabs.html"
    },
    "Cos": {
        "!type": "fn() -> ",
        "!doc" : "function Cos(x: extended): extended; Вычислить значение косинуса числа в радианах.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathcos.html"
    },
    "Exp": {
        "!type": "fn() -> ",
        "!doc" : "function Exp(x: extended): extended; Вычислить экспоненту от числа.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathexp.html"
    },
    "Ln": {
        "!type": "fn() -> ",
        "!doc" : "function Ln(x: extended): extended; Функция для вычисления натурального логарифма.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathln.html"
    },
    "LogN": {
        "!type": "fn() -> ",
        "!doc" : "function LogN(Base, x: extended): extended; Функция вычисляет логарифм аргумента x по основанию Base.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathlogn.html"
    },
    "Pi": {
        "!type": "fn() -> ",
        "!doc" : "function Pi: extended; Получить значение числа Пи.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathpi.html"
    },
    "Round": {
        "!type": "fn() -> ",
        "!doc" : "function Round(x: extended): integer; Округление числа с плавающей точкой.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathround.html"
    },
    "Sin": {
        "!type": "fn() -> ",
        "!doc" : "function Sin(x: extended): extended; Вычислить значение синуса числа в радианах.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsin.html"
    },
    "Trunc": {
        "!type": "fn() -> ",
        "!doc" : "function Trunc(x: extended): integer; Получить целую часть от числа с плавающей точкой.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathtrunc.html"
    },
    "GetEnvValue": {
        "!type": "fn() -> ",
        "!doc" : "function GetEnvValue(sVariable: string): string; Получить значение указанной системной переменной окружения Windows (environment variable).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncosgetenvvalue.html"
    },
    "mLogScript": {
        "!type": "fn() -> ",
        "!doc" : "procedure mLogScript(sMsg, sTag: string); Вывод текста в отладочную консоль редактора скриптов.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebuglogscript.html"
    },
    "Protocol": {
        "!type": "fn() -> ",
        "!doc" : "function Protocol(sMsg, sFileName: string; bDateTimeStamp: boolean): integer; Сохранить сообщение в текстовый файл лога.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebugprotocol.html"
    },
    "SetScriptTimeOut": {
        "!type": "fn() -> ",
        "!doc" : "procedure SetScriptTimeOut(iMaxTime: integer); Задать максимальное время исполнения скрипта, при превышениии которого он может быть принудительно остановлен системой.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncsetscripttimeout.html"
    },
    "mGetMaxRegisteredUIN": {
        "!type": "fn() -> ",
        "!doc" : "function mGetMaxRegisteredUIN: integer; Максимальный уникальный идентификатор (UIN) последнего зарегистрированного на сервере пользователя.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetmaxregistereduin.html"
    },
    "mGetUserAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserAttribute(iUIN: integer;sAttributeName: string): string; Функция для получения любого поля из профиля пользователя по его атрибуту.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserattribute.html"
    },
    "mGetUserDataAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDataAsJSON(iUIN: integer; sParams: string): string; Получение списка любых полей пользователя по его UIN в формате JSON.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserdataasjson.html"
    },
    "mGetUserFullNameByPreset": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserFullNameByPreset(iUIN, iStyle: integer): string; Получить текстовое имя пользователя чата согласно шаблону.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserfullnamebypreset.html"
    },
    "mGetUserPrimaryEmail": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserPrimaryEmail(iUIN: integer): string; Получить основной адрес электронной почты пользователя по его UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserprimaryemail.html"
    },
    "mGetUserState": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserState(iUIN: integer): integer; Определить сетевой статус пользователя по его UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserstate.html"
    },
    "mIsUINExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUINExists(iUIN: integer): boolean; Выяснить, зарегистрирован ли на сервере пользователь с таким идентификатором (UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuinexists.html"
    },
    "mIsUINOnline": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUINOnline(iUIN: integer): boolean; Выяснить, онлайн (в сети) сейчас пользователь с заданным UIN или нет.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuinonline.html"
    },
    "FloatToStr": {
        "!type": "fn() -> ",
        "!doc" : "function FloatToStr(iValue: extended): string; Преобразовать число с плавающей точкой в строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionfloattostr.html"
    },
    "IntToStr": {
        "!type": "fn() -> ",
        "!doc" : "function IntToStr(iValue: integer): string; Преобразовать целое число в строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversioninttostr.html"
    },
    "StrToFloat": {
        "!type": "fn() -> ",
        "!doc" : "function StrToFloat(sValue: string): extended; Преобразовать строку в число с плавающей точкой.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtofloat.html"
    },
    "StrToInt": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt(sSt: string): integer; Преобразовать текстовую строку в целое число со знаком.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint.html"
    },
    "StrToIntDef": {
        "!type": "fn() -> ",
        "!doc" : "function StrToIntDef(st: string; iDefaultValue: integer): integer; Преобразовать текстовую строку в целое число со знаком, учитывая значение по умолчанию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtointdef.html"
    },
    "JSONGetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetBoolean(sJSON, sKey: string; var bValue: boolean): integer; Получить булево значение ключа из JSON объекта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetboolean.html"
    },
    "JSONGetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetDateTime(sJSON, sKey: string; var dtvalue: double): integer; Получить значение даты и времени ключа из JSON объекта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetdatetime.html"
    },
    "JSONGetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetInteger(sJSON, sKey: string; var iValue: integer): integer; Получить целое знаковое значение ключа из JSON объекта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetinteger.html"
    },
    "JSONGetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetString(sJSON, sKey: string; var sValue: string): integer; Получить текстовое значение ключа из JSON объекта.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetstring.html"
    },
    "JSONSetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetBoolean(var sJSON, sKey: string; bValue: boolean): integer; Создать либо изменить булево значение ключа в JSON объекте.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetboolean.html"
    },
    "JSONSetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetDateTime(var sJSON: string; sKey: string; dtvalue: double): integer; Установить либо создать значение ключа даты и времени в JSON объекте.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetdatetime.html"
    },
    "JSONSetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetInteger(var sJSON: string; sKey: string; iValue: integer): integer; Создать либо изменить целое знаковое значение ключа в JSON объекте.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetinteger.html"
    },
    "JSONSetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetString(var sJSON: string; sKey: string; sValue: string): integer; Обновить либо создать текстовый ключ в JSON объекте.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetstring.html"
    },
    "RegGetInt": {
        "!type": "fn() -> ",
        "!doc" : "function RegGetInt(iRootKey: cardinal; sName: string; var iValue: cardinal): boolean; Прочитать из реестра целое число.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryreggetint.html"
    },
    "RegGetString": {
        "!type": "fn() -> ",
        "!doc" : "function RegGetString(iRootKey: cardinal; sName: string; var sValue: string): boolean; Прочитать из реестра текстовую строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryreggetstring.html"
    },
    "RegSetInt": {
        "!type": "fn() -> ",
        "!doc" : "function RegSetInt(iRootKey: cardinal; sName: string; iValue: cardinal): boolean; Сохранить в реестр целое число со знаком.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryregsetint.html"
    },
    "RegSetString": {
        "!type": "fn() -> ",
        "!doc" : "function RegSetString(iRootKey: cardinal; sName: string; sValue: string): boolean; Сохранить в реестр текстовую строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregistryregsetstring.html"
    },
    "mHTTPSendPostMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mHTTPSendPostMessage(sURL, sBody, sHeaders: string): string; Функция для отправки POST запросов по сети. Поддерживается HTTP/HTTPS.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncnetworkmhttpsendpostmessage.html"
    },
    "DeleteFile": {
        "!type": "fn() -> ",
        "!doc" : "function DeleteFile(sFileName:string): integer; Удаление файла с диска.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesdeletefile.html"
    },
    "FileExists": {
        "!type": "fn() -> ",
        "!doc" : "function FileExists(sFileName: string): boolean; Функция для проверки существования файла по указанному пути.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfileexists.html"
    },
    "mAddAutoScriptFromString": {
        "!type": "fn() -> ",
        "!doc" : "procedure mAddAutoScriptFromString(sScriptName, sScriptSource: string; dtToRun: double); Создать time-скрипт из текстовой строки.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmaddautoscriptfromstring.html"
    },
    "mAddAutoScriptFromTemplate": {
        "!type": "fn() -> ",
        "!doc" : "procedure mAddAutoScriptFromTemplate(sScriptName, sTemplateName: string; dtToRun: double); Добавление скрипта из готового шаблона",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmaddautoscriptfromtemplate.html"
    },
    "mClearAutoScriptsQueue": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearAutoScriptsQueue; Очистить очередь для выполнения запланированный time-скриптов.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmclearautoscriptsqueue.html"
    },
    "mDeleteAutoScriptByName": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteAutoScriptByName(sScriptName: string): integer; Удалить все вхождения тайм-скриптов, которые были добавлены для автоматического выполнения.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmdeleteautoscriptbyname.html"
    },
    "mGetAutoScriptsCountByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetAutoScriptsCountByName(sScriptName: string): integer; Узнать количество time-скриптов с указанным именем, запланированных к выполнению.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmgetautoscriptscountbyname.html"
    },
    "mGetAutoScriptsQueueCount": {
        "!type": "fn() -> ",
        "!doc" : "function mGetAutoScriptsQueueCount: integer; Получить общее количество запланированных к выполнению time-скриптов в очереди.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmgetautoscriptsqueuecount.html"
    },
    "Copy": {
        "!type": "fn() -> ",
        "!doc" : "function Copy(sSt: string; iFrom, iCount: integer): string; Скопировать подстроку из указанной строки.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringscopy.html"
    },
    "Delete": {
        "!type": "fn() -> ",
        "!doc" : "procedure Delete(var sSt: string; iFrom, iCount: integer); Удалить подстроку из строки.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsdelete.html"
    },
    "Fetch": {
        "!type": "fn() -> ",
        "!doc" : "function Fetch(var sOriginal:string; sDelimiter: string): string; Вырезать подстроку из указанной строки до первого разделителя.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsfetch.html"
    },
    "Insert": {
        "!type": "fn() -> ",
        "!doc" : "procedure Insert(var sOriginal: string; sWhatInsert: string; iFrom: integer); Вставить подстроку в строку на указанную позицию.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsinsert.html"
    },
    "IsStNumbers": {
        "!type": "fn() -> ",
        "!doc" : "function IsStNumbers(st: string): boolean; Выяснить, содержит ли текстовая строка исключительно цифры и больше никаких символов.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsisstnumbers.html"
    },
    "IsStringInList": {
        "!type": "fn() -> ",
        "!doc" : "function IsStringInList(sWhat, sStringList, sDelimiter: string; bIgnoreCase: boolean): boolean; Поиск подстроки в строке-списке, между элементами которой находится какой-либо разделитель.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsisstringinlist.html"
    },
    "Length": {
        "!type": "fn() -> ",
        "!doc" : "function Length(sSt: string): integer; Получить количество символов в текстовой строке.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringslength.html"
    },
    "LowerCase": {
        "!type": "fn() -> ",
        "!doc" : "function LowerCase(sSt: string): string; Преобразовать все символы строки в нижний регистр.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringslowercase.html"
    },
    "Pos": {
        "!type": "fn() -> ",
        "!doc" : "function Pos(sSubSt, sSt: string): integer; Поиск подстроки в строке. Регистро-зависимый.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringspos.html"
    },
    "ReplaceString": {
        "!type": "fn() -> ",
        "!doc" : "function ReplaceString(sOriginal, sFrom, sTo:string; bReplaceAll, bIgnoreCase: boolean): string; Функция для замены вхождений подстроки в оригинальной строке.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsreplacestring.html"
    },
    "Trim": {
        "!type": "fn() -> ",
        "!doc" : "function Trim(st: string): string; Обрезать пробелы в начале и в конце строки.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringstrim.html"
    },
    "UpperCase": {
        "!type": "fn() -> ",
        "!doc" : "function UpperCase(sSt: string): string; Перевести все символы строки в БОЛЬШИЕ БУКВЫ верхнего регистра.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsuppercase.html"
    },
    "CRLF": {
        "!type": "fn() -> ",
        "!doc" : "function CRLF: string; Символы переноса на новую строку.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicecrlf.html"
    },
    "Dec": {
        "!type": "fn() -> ",
        "!doc" : "procedure Dec(var x); Уменьшить значение переменной на единицу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicedec.html"
    },
    "High": {
        "!type": "fn() -> ",
        "!doc" : "function High(var x): integer; Получить максимальное значение переменной указанного типа.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicehigh.html"
    },
    "Inc": {
        "!type": "fn() -> ",
        "!doc" : "procedure Inc(var x); Увеличить значение переменной на единицу.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncserviceinc.html"
    },
    "Low": {
        "!type": "fn() -> ",
        "!doc" : "function Low(var x): integer; Получить максимальное значение переменной-параметра.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicelow.html"
    },
    "Max": {
        "!type": "fn() -> ",
        "!doc" : "function Max(iValue1, iValue2: integer): integer; Получить максимальное из двух целых чисел.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicemax.html"
    },
    "Min": {
        "!type": "fn() -> ",
        "!doc" : "function Min(iValue1, iValue2: integer): integer; Получить меньшее из двух целых чисел.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicemin.html"
    },
    "Rand          om": {
        "!type": "fn() -> ",
        "!doc" : "function Random(x: integer): integer; Получить случайное число из диапазона.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicerandom.html"
    },
    "RegExpIsMatch": {
        "!type": "fn() -> ",
        "!doc" : "function RegExpIsMatch(sInpString, sRegExp: string): boolean; Проверка, соответствует ли заданная строка регулярному выражению (regular expression).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncregexpregexpismatch.html"
    },
    "mConvertMsgToPlainText": {
        "!type": "fn() -> ",
        "!doc" : "function mConvertMsgToPlainText(sMsg: string; iMsgType: integer): string; Преобразовать текст сообщения в plain text, без тегов и специальных символов.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmconvertmsgtoplaintext.html"
    },
    "mSendCustomMsgToClientConsoleByCID": {
        "!type": "fn() -> ",
        "!doc" : "function mSendCustomMsgToClientConsoleByCID(iCID: integer; sMsg, sSound: string; bFocus, bSaveToLog: boolean; iType: integer): integer; Функция для отправки специального сообщения в консоль MyChat Client.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendcustommsgtoclientconsolebycid.html"
    },
    "mSendPrivateMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mSendPrivateMessage(iUINFrom, iUINTo: integer; sMsg: string; iMsgType: integer): integer; Отправить приватное сообщение от имени одного пользователя — другому.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendprivatemessage.html"
    },
    "mSendPrivateTechMessage": {
        "!type": "fn() -> ",
        "!doc" : "procedure mSendPrivateTechMessage(iUIN1, iUIN2: integer; sMsg: string; iType: integer); Техническое сообщение в приват от имени сервера.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendprivatetechmessage.html"
    },
    "mDeleteUserFromCommonContacts": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUserFromCommonContacts(iUIN: integer): boolean; Удалить пользователя из общего списка контактов.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmdeleteuserfromcommoncontacts.html"
    },
    "mGetDepartmentIDByTextPath": {
        "!type": "fn() -> ",
        "!doc" : "function mGetDepartmentIDByTextPath(sPath: string): integer; Получить номер идентификатора группы из общего списка контактов сервера по его полному текстовому пути.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetdepartmentidbytextpath.html"
    },
    "mGetDepartmentTextPathByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetDepartmentTextPathByID(iID: integer): string; Получить полный текстовый путь к указанной группе (департаменту) из общего древовидного списка контактов от корня, по его числовому идентификатору.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetdepartmenttextpathbyid.html"
    },
    "mGetUserDepartmentID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDepartmentID(iUIN: integer): integer; Функция для получения числового идентификатора группы в общем древовидном списке контактов, в которой находится пользователь (по его UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetuserdepartmentid.html"
    },
    "mGetUserDepartmentName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserDepartmentName(iUIN: integer): string; Получить название департамента пользователя из общего списка контактов по идентификатору пользователя (UIN).",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmgetuserdepartmentname.html"
    },
    "AddLineToFile": {
        "!type": "fn() -> ",
        "!doc" : "function AddLineToFile(sMsg, sFileName: string; iEncodingType: integer): int64; Добавить сообщение в конец текстового файла.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesaddlinetofile.html"
    },
    "LoadTextFromFile": {
        "!type": "fn() -> ",
        "!doc" : "function LoadTextFromFile(sFileName: string; iEncodingType: integer): string; Загрузить содержимое текстового файла в переменную типа string с указанием кодировки файла.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesloadtextfromfile.html"
    },
    "mGetRoleNameByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetRoleNameByID(iRoleID: integer): string; Получить название группы прав пользователей по его числовому ID.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetrolenamebyid.html"
    },
    "mGetUserRoleID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserRoleID(iUIN: integer): integer; Получить идентификатор группы прав пользователя по его UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetuserroleid.html"
    },
    "mGetUserRoleName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserRoleName(iUIN: integer): string; Получить название группы прав пользователя по его UIN.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetuserrolename.html"
    },
    "SendEmail": {
        "!type": "fn() -> ",
        "!doc" : "procedure SendEmail(sHost: string; iPort: integer; sUserName, sPass, sFullEmail: string; bSSL: boolean; sToList, sSubject: string; sMessageText: string; iMsgStyle: integer; sAttachedFiles: string); Функция для отправки письма по электронной почте.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncemailsendemail.html"
    },
    "mGetServerServiceFolder": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerServiceFolder(iType: integer): string; Функция для получения различных сервисных папок сервера MyChat.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetserverservicefolder.html"
    },
    "mSendEmail": {
        "!type": "fn() -> ",
        "!doc" : "procedure mSendEmail(sToList, sSubject, sMessageText: string; iMsgStyle: integer; sAttachedFiles: string); Процедура для отправки email, используя SMTP настройки сервера MyChat.",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncemailmsendemail.html"
    },
   "mIsUserTeamLead": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserTeamLead(iUIN: integer): boolean; Выяснить, является ли пользователь руководителем подразделения?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmisuserteamlead.html"
    },
   "StartOfTheYear": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheYear(dt: double): double; Получить начало года указанной даты",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheyear.html"
    },
   "EndOfTheYear": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheYear(dt: double): double; Получить конец года указанной даты",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheyear.html"
    },
   "StartOfTheMonth": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheMonth(dt: double): double; Получить дату начала месяца от указанной",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartofthemonth.html"
    },
   "EndOfTheMonth": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheMonth(dt: double): double; Получить дату конца месяца от указанной",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendofthemonth.html"
    },
   "StartOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function StartOfTheWeek(dt: double): double; Получить дату начала недели от указанной",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatestartoftheweek.html"
    },
   "EndOfTheWeek": {
        "!type": "fn() -> ",
        "!doc" : "function EndOfTheWeek(dt: double): double; Получить дату конца недели от указанной",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateendoftheweek.html"
    },
   "mGetRoleIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetRoleIDByName(sName: string): integer; Получить идентификатор группы прав по её названию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmgetroleidbyname.html"
    },
   "mGetUsersListByParams": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListByParams(sParams: string): string; Получение списка пользователей по набору параметров",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserslistbyparams.html"
    },
   "mGetUsersListByState": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListByState(iState: integer): string; Получение списка пользователей по их статусу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetuserslistbystate.html"
    },
   "mHaltMyChatClient": {
        "!type": "fn() -> ",
        "!doc" : "procedure mHaltMyChatClient(iUIN: integer); Отключить от сервера любого онлайн-пользователя и принудительно завершить работу его приложения",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmhaltmychatclient.html"
    },
  "mExtractUserPhoto": {
        "!type": "fn() -> ",
        "!doc" : "function mExtractUserPhoto(iUIN: integer; sPath, sFileName: string): integer; Экспорт фотографии пользователя MyChat в файл на диске. Фото сохраняется в формате JPG",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmextractuserphoto.html"
    },
  "mIntegrationTelegramAddUser": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramAddUser(sID, sFirstName, sLastName, sNickName: string): integer; Добавить пользователя Telegram в MyChat Server для будущей привязки к пользователю MyChat (по UIN)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramadduser.html"
    },
  "mIntegrationTelegramGetUserIDByUIN": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramGetUserIDByUIN(iUIN: integer): string; Получить Telegram ID пользователя по его MyChat UIN",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramgetuseridbyuin.html"
    },
  "mIntegrationTelegramSendMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramSendMessage(sTelegramID, sText: string): string; Отправить текстовое сообщение боту Telegram из MyChat",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramsendmessage.html"
    },
  "TextWithCRLFToJSON": {
        "!type": "fn() -> ",
        "!doc" : "function TextWithCRLFToJSON(sText: string): string; Преобразовать многострочный текст в JSON объект с парами ключ-значение, построчно",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringstextwithcrlftojson.html"
    },
  "mGetServerExternalAddress": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerExternalAddress(iType: integer): string; Получить полный внешний адрес для разных сервисов MyChat Server",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetserverexternaladdress.html"
    },
  "mIntegrationTelegramGetMyChatUINByTelegramID": {
        "!type": "fn() -> ",
        "!doc" : "function mIntegrationTelegramGetMyChatUINByTelegramID(sID: string): integer; Получить UIN зарегистрированного пользователя MyChat по его Telegram ID",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctelegramgetmychatuinbytelegramid.html"
    },
  "mGetServerTechInfoInt": {
        "!type": "fn() -> ",
        "!doc" : "function mGetServerTechInfoInt(iID: integer): integer; Получение внутренних технических данных о работающем сервере",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremgetservertechinfoint.html"
    },
  "mSetUserAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mSetUserAttribute(iUIN: integer; sAttributeName, sValue: string): integer; Изменение данных профиля пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmsetuserattribute.html"
    },
  "mLogScriptToDisk": {
        "!type": "fn() -> ",
        "!doc" : "mLogScriptToDisk(sMsg: string); Записать текст в системный протокол работы скриптов на диск",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebuglogscripttodisk.html"
    },
  "mSendConfMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mSendConfMessage(iUID, iUINFrom: integer; sMsg: string; iMsgType: integer): integer; Отправить сообщение в текстовую конференцию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmsendconfmessage.html"
    },
  "mSendBroadcast": {
        "!type": "fn() -> ",
        "!doc" : "function mSendBroadcast(sMsg, sUINsList: string; dtActualTo: double; iStyle: integer): integer; Отправить оповещение",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmsendbroadcast.html"
    },
  "mGetCIDAttribute": {
        "!type": "fn() -> ",
        "!doc" : "function mGetCIDAttribute(iCID: integer; sAttributeName: string): string; Получить информацию о пользовательском соединении",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetcidattribute.html"
    },
  "mGetConfUIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfUIDByName(sConfName: string): integer; Получить идентификатор конференции по её названию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfuidbyname.html"
    },
  "mIsConfExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsConfExists(iUID: integer): boolean; Существует ли указанная конференция",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmisconfexists.html"
    },
  "mClearConfWindow": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearConfWindow(iUID: integer); Очистить текст в конференции всем онлайн-пользователям",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmclearconfwindow.html"
    },
  "mGetUsersListInGroupByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListInGroupByName(sGroupName: string): string; Получить список пользователей из группы",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetuserslistingroupbyname.html"
    },
  "mGetUsersListInGroupsByNames": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUsersListInGroupsByNames(sGroupNames: string): string; Получить список пользователей из нескольких групп",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetuserslistingroupsbynames.html"
    },
  "UTCToLocalTime": {
        "!type": "fn() -> ",
        "!doc" : "function UTCToLocalTime(dt: double): double; Преобразовать UTC время в локальное",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdateutctolocaltime.html"
    },
  "LocalTimeToUTC": {
        "!type": "fn() -> ",
        "!doc" : "function LocalTimeToUTC(dt: double): double; Преобразовать локальное время в UTC",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatelocaltimetoutc.html"
    },
  "mCreateUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mCreateUsersGroup(sGroupName: string): integer; Создать новую группу пользователей",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmcreateusersgroup.html"
    },
  "mDeleteUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUsersGroup(sGroupName: string): integer; Удалить группу пользователей",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmdeleteusersgroup.html"
    },
  "mIsUsersGroupExists": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUsersGroupExists(sGroupName: string): boolean; Существует ли указанная группа пользователей",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisusersgroupexists.html"
    },
  "mIsUserInGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserInGroup(iUIN: integer; sGroupName: string): boolean; Входит ли пользователь в указанную группу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisuseringroup.html"
    },
  "mAddUserToGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToGroup(iUIN: integer; sGroupName: string): integer; Добавить пользователя в указанную группу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmaddusertogroup.html"
    },
  "mRemoveUserFromGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRemoveUserFromGroup(iUIN: integer; sGroupName: string): integer; Удалить пользователя из группы",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmremoveuserfromgroup.html"
    },
  "mGetUserGroupsListAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserGroupsListAsJSON(iUIN: integer): string; Получить список групп, в которых находится пользователь",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmgetusergroupslistasjson.html"
    },
  "mIsUserInGroups": {
        "!type": "fn() -> ",
        "!doc" : "function mIsUserInGroups(iUIN: integer): boolean; Находится ли пользователь хотя бы в одной из групп",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmisuseringroups.html"
    },
  "mRenameUsersGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRenameUsersGroup(sOldGroupName, sNewGroupName: string): integer; Переименовать группу пользователей",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgroupsmrenameusersgroup.html"
    },
  "JSONArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayLength(sJSON: string): integer; Получить количество элементов массива в формате JSON",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraylength.html"
    },
  "JSONArrayGetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetString(sJSON: string; iIdx: integer; var sValue: string): integer; Получить указанный текстовый элемент из JSON массива по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetstring.html"
    },
  "JSONArrayGetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetInteger(sJSON: string; iIdx: integer; var iValue: integer): integer; Получить целое число из JSON массива по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetinteger.html"
    },
  "JSONArrayGetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetBoolean(sJSON: string; iIdx: integer; var bValue: boolean): integer; Получить логическое значение элемента из JSON массива по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetboolean.html"
    },
  "JSONArrayGetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetDateTime(sJSON: string; iIdx: integer; var dtValue: double): integer; Получить значение даты и времени из JSON массива по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetdatetime.html"
    },
  "JSONArraySetString": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetString(var sJSON: string; iIdx: integer; sValue: string): integer; Изменить указанный текстовый элемент в JSON массиве по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetstring.html"
    },
  "JSONArraySetInteger": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetInteger(var sJSON: string; iIdx, iValue: integer): integer; Изменить указанный числовой элемент в JSON массиве по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetinteger.html"
    },
  "JSONArraySetBoolean": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetBoolean(var sJSON: string; iIdx: integer; bValue: boolean): integer; Изменить указанный булевый элемент в JSON массиве по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetboolean.html"
    },
  "JSONArraySetDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetDateTime(var sJSON: string; iIdx: integer; dtValue: double): integer; Изменить дату и время указанного элемента в JSON массиве по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetdatetime.html"
    },
  "StrToHex": {
        "!type": "fn() -> ",
        "!doc" : "function StrToHex(sData: string): string; Преобразовать строку побайтно в шестнадцатиричное текстовое представление",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingstrtohex.html"
    },
  "CRC32": {
        "!type": "fn() -> ",
        "!doc" : "function CRC32(sData: string): cardinal; Получить контрольную сумму CRC32 от текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingcrc32.html"
    },
  "MD5": {
        "!type": "fn() -> ",
        "!doc" : "function MD5(sData: string): string; Получить хеш-код MD5 от текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingmd5.html"
    },
  "HMAC_MD5": {
        "!type": "fn() -> ",
        "!doc" : "function HMAC_MD5(sData, sKey: string): string; Получить хеш-код строки на основе ключа, используя метод HMAC и алгоритм хеширования MD5",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodinghmacmd5.html"
    },
  "SHA1": {
        "!type": "fn() -> ",
        "!doc" : "function SHA1(sData: string): string; Получить хеш-код SHA1 от текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingsha1.html"
    },
  "HMAC_SHA1": {
        "!type": "fn() -> ",
        "!doc" : "function HMAC_SHA1(sData, sKey: string): string; Получить хеш-код строки на основе ключа, используя метод HMAC и алгоритм хеширования SHA1",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodinghmacsha1.html"
    },
  "EncodeBase64": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeBase64(sData: string): string; Преобразовать исходную текстовую строку в base64-представление (при помощи только 64 символов ASCII)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodebase64.html"
    },
  "DecodeBase64": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeBase64(sData: string): string; Преобразовать текстовую строку из base64-представления в обычный текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodebase64.html"
    },
  "EncodeURL": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeURL(sURL: string): string; Закодировать строку в URL-формат",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodeurl.html"
    },
  "DecodeURL": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeURL(sURL: string): string; Раскодировать строку из URL-формата в обычный текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodeurl.html"
    },
  "EncodeUU": {
        "!type": "fn() -> ",
        "!doc" : "function EncodeUU(sData: string): string; Закодировать строку в UU-формат",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingencodeuu.html"
    },
  "DecodeUU": {
        "!type": "fn() -> ",
        "!doc" : "function DecodeUU(sData: string): string; Раскодировать строку из UU-формата в обычный текст",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncencodingdecodeuu.html"
    },
  "mClearConsole": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearConsole; Очистить текстовую консоль выполнения скриптов",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncscriptmclearconsole.html"
    },
  "mHTTPSendGetMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mHTTPSendGetMessage(sURL, sHeaders: string; iTimeOut: integer): string; Выполнить HTTP GET запрос",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncnetworkmhttpsendgetmessage.html"
    },
  "StrToInt64": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt64(sSt: string): int64; Преобразовать текстовую строку в целое 64-разрядное число со знаком",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint64.html"
    },
  "StrToInt64Def": {
        "!type": "fn() -> ",
        "!doc" : "function StrToInt64Def(st: string; iDefaultValue: int64): int64; Преобразовать текстовую строку в целое 64-разрядное число со знаком, учитывая значение по умолчанию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrtoint64def.html"
    },
  "GeoIPGetFullInfoAsJSON": {
        "!type": "fn() -> ",
        "!doc" : "function GeoIPGetFullInfoAsJSON(sIP: string): string; Получить полную информацию об IP адресе пользователя в виде JSON объекта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgeoipgetfullinfoasjson.html"
    },
  "GeoIPGetQuickInfo": {
        "!type": "fn() -> ",
        "!doc" : "function GeoIPGetQuickInfo(sIP: string): string; Получить строку со страной и городом пользователя по его IP адресу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncgeoipgetquickinfo.html"
    },
  "mSetUserRoleID": {
        "!type": "fn() -> ",
        "!doc" : "function mSetUserRoleID(iUIN, iRole: integer): integer; Изменить группу прав пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncrolesmsetuserroleid.html"
    },
  "mAddUserToCommonContacts": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToCommonContacts(iUIN, iGroupID: integer): integer; Добавить пользователя в общий древовидный список контактов",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmaddusertocommoncontacts.html"
    },
  "FileSize": {
        "!type": "fn() -> ",
        "!doc" : "function FileSize(sFileName:string): int64; Получить размер файла на диске в байтах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfilesize.html"
    },
  "IntToKbyte": {
        "!type": "fn() -> ",
        "!doc" : "function IntToKbyte(iValue: int64): string; Cокращённый размер файла в текстовом виде (в байтах, килобайтах, мегабайтах или гигабайтах)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesinttokbyte.html"
    },
  "mMakeBackupServerDataBase": {
        "!type": "fn() -> ",
        "!doc" : "function mMakeBackupServerDataBase(sFileNameWithPath: string): string; Создать полную резервную копию баз данных сервера в ZIP",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremmakebackupserverdatabase.html"
    },
  "ExtractFilePath": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFilePath(sFileName:string): string; Получить путь к файлу из текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfilepath.html"
    },
  "ExtractFileName": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFileName(sFileName:string): string; Получить имя файла из текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfilename.html"
    },
  "ExtractFileExt": {
        "!type": "fn() -> ",
        "!doc" : "function ExtractFileExt(sFileName:string): string; Получить расширение файла из текстовой строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesextractfileext.html"
    },
  "IntToHex": {
        "!type": "fn() -> ",
        "!doc" : "function IntToHex(iValue: int64; iDigits: byte): string; Преобразовать целое число в шестнадцатиричное в виде строки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversioninttohex.html"
    },
  "HexToInt": {
        "!type": "fn() -> ",
        "!doc" : "function HexToInt(sValue: string): cardinal; Преобразовать шестнадцатиричное число в виде строки в целое, десятичное",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionhextoint.html"
    },
  "mAddUserToWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mAddUserToWebSupportGroup(iUIN, iID: integer): integer; Добавить пользователя в группу операторов web-поддержки на сайт",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmaddusertowebsupportgroup.html"
    },
  "mCreateWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mCreateWebSupportGroup(sName: string): integer; Создать новую группу WEB-поддержки операторов для сайта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmcreatewebsupportgroup.html"
    },
  "mDeleteUserFromWebSupport": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteUserFromWebSupport(iUIN: integer): integer; Удалить пользователя из группы WEB-поддержки операторов для сайта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmdeleteuserfromwebsupport.html"
    },
  "mDeleteWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mDeleteWebSupportGroup(iID: integer): integer; Удалить группу WEB-поддержки операторов для сайта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmdeletewebsupportgroup.html"
    },
  "mGetUserWebSupportGroupID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetUserWebSupportGroupID(iUIN: integer): integer; Получить идентификатор группы WEB-поддержки для указанного пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetuserwebsupportgroupid.html"
    },
  "mGetWebSupportGroupIDByName": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupIDByName(sName: string): integer; Получить числовой идентификатор группы WEB-поддержки по названию",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupidbyname.html"
    },
  "mGetWebSupportGroupNameByID": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupNameByID(iID: integer): string; Получить название группы операторов WEB-поддержки по её числовому идентификатору",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupnamebyid.html"
    },
  "mGetWebSupportGroupUsers": {
        "!type": "fn() -> ",
        "!doc" : "function mGetWebSupportGroupUsers(iID: integer): string; Получить список UIN-ов пользователей для указанной группы операторов WEB-поддержки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmgetwebsupportgroupusers.html"
    },
  "mRenameWebSupportGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mRenameWebSupportGroup(iID: integer; sNewName: string): integer; Переименовать существующую группу WEB-поддержки операторов для сайта",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmrenamewebsupportgroup.html"
    },
  "mWebSupportGroupIDExists": {
        "!type": "fn() -> ",
        "!doc" : "function mWebSupportGroupIDExists(iID: integer): boolean; Существует ли указанный числовой идентификатор группы WEB-поддержки",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncwebsupportmwebsupportgroupidexists.html"
    },
  "mMoveUserToDepartment": {
        "!type": "fn() -> ",
        "!doc" : "function mMoveUserToDepartment(iUIN, iGroupID: integer): integer; Перенести пользователя из одной группы общего древовидного списка контактов в другую",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmmoveusertodepartment.html"
    },
  "mCommonContactsRebuild": {
        "!type": "fn() -> ",
        "!doc" : "procedure mCommonContactsRebuild; Пересобрать кеш общего списка контактов и немедленно разослать его всем онлайн-пользователям",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmcommoncontactsrebuild.html"
    },
  "mCloseAllDialogs": {
        "!type": "fn() -> ",
        "!doc" : "procedure mCloseAllDialogs(bAll: boolean); Закрыть все приватные диалоги для пользователей сервера",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmclosealldialogs.html"
    },
  "mKillClient": {
        "!type": "fn() -> ",
        "!doc" : "function mKillClient(iUIN: integer): integer; Отключить от сервера пользователя с указанной учётной записью (disconnect)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmkillclient.html"
    },
  "MoveFile": {
        "!type": "fn() -> ",
        "!doc" : "function MoveFile(const sFileFrom, sFileTo: string; const bRewrite: boolean): integer; Перенести файл из одной папки в другую с удалением оригинала",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesmovefile.html"
    },
  "GetDirectoriesAndFiles": {
        "!type": "fn() -> ",
        "!doc" : "function GetDirectoriesAndFiles(sPath, sFilesMask: string; bRecursive, bFolders, bFiles: boolean): string; Получить список папок и файлов в указанном каталоге",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesgetdirectoriesandfiles.html"
    },
  "DeleteFolder": {
        "!type": "fn() -> ",
        "!doc" : "function DeleteFolder(const sFolderName:string; bRecursive: boolean): integer; Удалить папку с файлами",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesdeletefolder.html"
    },
  "CreateFolder": {
        "!type": "fn() -> ",
        "!doc" : "function CreateFolder(const sFolderName: string): integer; Создать папку вместе со всеми вложенными папками",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilescreatefolder.html"
    },
  "CopyFile": {
        "!type": "fn() -> ",
        "!doc" : "function CopyFile(const sFileFrom, sFileTo:string; const bRewrite: boolean): integer; Скопировать файл из одной папки в другую",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilescopyfile.html"
    },
  "FolderExists": {
        "!type": "fn() -> ",
        "!doc" : "function FolderExists(const sFolderName:string): boolean; Существует ли указанная папка?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncfilesfolderexists.html"
    },
  "mGetConfTopic": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfTopic(iUID: integer): string; Получить текст темы текстовой многопользовательской конференции по её числовому идентификатору (UID)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconftopic.html"
    },
  "mGetConfPassword": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfPassword(iUID: integer): string; Получить пароль текстовой многопользовательской конференции по её числовому идентификатору (UID)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfpassword.html"
    },
  "LoadLineFromFile": {
        "!type": "fn() -> ",
        "!doc" : "function LoadLineFromFile(sFileNameWithPath: string; iLineNumber: integer; iEncodingType: integer; var sText: string): integer; Получить указанную строку из текстового файла",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesloadlinefromfile.html"
    },
  "PosEx": {
        "!type": "fn() -> ",
        "!doc" : "function PosEx(const sSubSt, sOriginal: string; iOffset: cardinal): integer; Поиск подстроки в строке со смещением",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsposex.html"
    },
  "SaveTextToFile": {
        "!type": "fn() -> ",
        "!doc" : "function SaveTextToFile(sFileName, sText: string; iEncodingType: integer): int64; Cохранить текст в файл в указанной кодировке",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilessavetexttofile.html"
    },
  "GetTextFileLinesCount": {
        "!type": "fn() -> ",
        "!doc" : "function GetTextFileLinesCount(sFileNameWithPath: string; iEncodingType: integer): int64; Получить количество строк указанного текстового файла",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctextfilesgettextfilelinescount.html"
    },
  "mPersonalContactsIsUserExists": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsUserExists(iUINOwner, iUIN: integer): boolean; Есть ли указанный пользователь в личном списке контактов другого человека?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisuserexists.html"
    },
  "mPersonalContactsIsGroupExists": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsGroupExists(iUINOwner: integer; sGroupName: string): boolean; Есть ли группа с таким названием в личном списке контактов указанного человека?",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisgroupexists.html"
    },
  "mPersonalContactsAddGroup": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsAddGroup(iUINOwner: integer; sGroupName: string): integer; Создать новую группу в личном списке контактов для указанного пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsaddgroup.html"
    },
  "mPersonalContactsAddUser": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsAddUser(iUINOwner, iUIN: integer; sGroupName: string): integer; Добавить пользователя в личный список контактов указанного человека",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsadduser.html"
    },
  "mPersonalContactsClear": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsClear(iUINOwner: integer): integer; Очистить личный список контактов указанного пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsclear.html"
    },
  "mPersonalContactsDeleteUser": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsDeleteUser(iUINOwner, iUIN: integer): integer; Удалить пользователя из личного списка контактов указанного человека",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsdeleteuser.html"
    },
  "mPersonalContactsIsEmpty": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsIsEmpty(iUINOwner: integer): boolean; Выяснить, есть ли у пользователя в личном списке контактов хотя бы одна запись",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsisempty.html"
    },
  "mPersonalContactsRefresh": {
        "!type": "fn() -> ",
        "!doc" : "function mPersonalContactsRefresh(iUINOwner: integer): integer; Обновить список личных контактов у пользователя в клиентских приложениях",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccontactsmpersonalcontactsrefresh.html"
    },
  "AnsiLowerCase": {
        "!type": "fn() -> ",
        "!doc" : "function AnsiLowerCase(sSt: string): string; Преобразовать все символы строки в нижний регистр",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsansilowercase.html"
    },
  "AnsiUpperCase": {
        "!type": "fn() -> ",
        "!doc" : "function AnsiUpperCase(sSt: string): string; Перевести все символы строки в БОЛЬШИЕ БУКВЫ верхнего регистра",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsansiuppercase.html"
    },
  "JSONValid": {
        "!type": "fn() -> ",
        "!doc" : "function JSONValid(const sJSON: string): boolean; Проверить правильность синтаксиса JSON объекта по текстовой строке",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonvalid.html"
    },
  "JSONSetFloat": {
        "!type": "fn() -> ",
        "!doc" : "function JSONSetFloat(var sJSON: string; sKey: string; iValue: double): integer; Создать либо изменить дробное значение ключа в JSON объекте",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonsetfloat.html"
    },
  "JSONGetFloat": {
        "!type": "fn() -> ",
        "!doc" : "function JSONGetFloat(sJSON, sKey: string; var iValue: double): integer; Получить дробное знаковое значение ключа из JSON объекта (вещественное число)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsongetfloat.html"
    },
  "JSONKeyExists": {
        "!type": "fn() -> ",
        "!doc" : "function JSONKeyExists(const sJSON, sKey: string): boolean; Проверить наличие ключа с заданным именем в JSON объекте",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonkeyexists.html"
    },
  "NoDate": {
        "!type": "fn() -> ",
        "!doc" : "function NoDate: double; Получить значение 'нет даты и времени'",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdatetimenodate.html"
    },
  "StrMyChatToDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function StrMyChatToDateTime(const sDate: string): double; Преобразовать текстовую строку MyChat-формата (dd.mm.yyyy.hh.nn.ss) в число с плавающей точкой формата double",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionstrmychattodatetime.html"
    },
  "DateTimeToMyChatStr": {
        "!type": "fn() -> ",
        "!doc" : "function DateTimeToMyChatStr(const dt: double): string; Преобразовать значение даты/времени (double) в текстовую строку MyChat-формата, с разделителями в виде точек: 'день.месяц.год.часы.минуты.секунды'",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversiondatetimetomychatstr.html"
    },
  "JSONArraySetLength": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetLength(var sJSON: string; iLength: integer): integer; Создать JSON массив указанного размера и заполнить его нулями",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetlength.html"
    },
  "JSONArrayGetDouble": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArrayGetDouble(sJSON: string; iIdx: integer; var iValue: double): integer; Получить дробное число из JSON массива по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraygetdouble.html"
    },
  "JSONArraySetDouble": {
        "!type": "fn() -> ",
        "!doc" : "function JSONArraySetDouble(var sJSON: string; iIdx: integer; iValue: double): integer; Изменить указанный дробный числовой элемент в JSON массиве по индексу",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncjsonarraysetdouble.html"
    },
  "mClearScriptLog": {
        "!type": "fn() -> ",
        "!doc" : "procedure mClearScriptLog; Очистить консоль текстового редактора скриптов в админке",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdebugmclearscriptlog.html"
    },
  "mSetAdvOptions": {
        "!type": "fn() -> ",
        "!doc" : "function mSetAdvOptions(bEnable: boolean; sAdvLink: string; iAdvHeight, iAdvQuantity: integer): integer; Изменить настройки показа рекламного HTML-баннера в клиентских приложениях",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncbrandingmsetadvoptions.html"
    },
  "mGetAdvOptions": {
        "!type": "fn() -> ",
        "!doc" : "procedure mGetAdvOptions(var bEnable: boolean; var sAdvLink: string; var iAdvHeight, iAdvQuantity: integer); Получить настройки рекламного HTML-баннера, встроенного в MyChat Client",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncbrandingmgetadvoptions.html"
    },
  "mRemovePrivates": {
        "!type": "fn() -> ",
        "!doc" : "procedure mRemovePrivates; Полностью удалить все приватные разговоры из серверной базы данных и на всех устройствах пользователей (онлайн и офлайн)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunchistoryremoveprivates.html"
    },
  "mClosePrivateDialog": {
        "!type": "fn() -> ",
        "!doc" : "function mClosePrivateDialog(const iUINOwner, iUINWith: integer): integer; Закрыть приватный диалог с другим человеком у указанного пользователя",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmcloseprivatedialog.html"
    },
  "mExtractExternalWebLinkFromMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mExtractExternalWebLinkFromMessage(const sMsg: string; const iMsgType: integer): string; Получить внешнюю http(s) ссылку на файл или изображение из сообщения",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmessagesmextractexternalweblinkfrommessage.html"
    },
  "mNodeCommand": {
        "!type": "fn() -> ",
        "!doc" : "procedure mNodeCommand(const sCmd, sData: string); Выполнить внутреннюю сервисную команду встроенным WEB-сервером NodeJS",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunccoremnodecommand.html"
    },
  "GetArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "function GetArrayLength(Arr: <dynamic array>): integer; Получить размер динамического одномерного массива",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicegetarraylength.html"
    },
  "SetArrayLength": {
        "!type": "fn() -> ",
        "!doc" : "procedure SetArrayLength(var Arr: <dynamic array>; iNewLength: integer); Указать размер динамического одномерного массива",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicesetarraylength.html"
    },
  "mGetConfUsersList": {
        "!type": "fn() -> ",
        "!doc" : "function mGetConfUsersList(const iUID: integer): string; Получить список пользователей указанной текстовой конференции",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncconfmgetconfuserslist.html"
    },
  "GetCIDSByUINAndClientType": {
        "!type": "fn() -> ",
        "!doc" : "function GetCIDSByUINAndClientType(const iUIN: integer; const sClientType: string): integer; Получить список всех подключений (Connection ID) онлайн-приложений пользователя по его UIN и типу приложения",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetcidsbyuinandclienttype.html"
    },
  "mAddNewBBSMessage": {
        "!type": "fn() -> ",
        "!doc" : "function mAddNewBBSMessage(const sMsg:string; const dtExpire: double; const bStick: boolean): integer; Добавить новое сообщение на доску объявлений",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncdialogsmaddnewbbsmessage.html"
    },
  "mGetBirthdayUsers": {
        "!type": "fn() -> ",
        "!doc" : "function mGetBirthdayUsers(dt: double): string; Получить список пользователей, у которых день рождения совпадает с указанной датой",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncusersmgetbirthdayusers.html"
    },
  "StringCharsCount": {
        "!type": "fn() -> ",
        "!doc" : "function StringCharsCount(const s: string; ch: char): integer; Получить количество вхождений указанного символа в исходной строке",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncstringsstringcharscount.html"
    },
  "DateTimeToISOStr": {
        "!type": "fn() -> ",
        "!doc" : "function DateTimeToISOStr(const dt: double): string; Преобразовать значение даты/времени (double) в текстовую строку формата ISO",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversiondatetimetoisostr.html"
    },
  "ISOStrToDateTime": {
        "!type": "fn() -> ",
        "!doc" : "function ISOStrToDateTime(const s: string): double; Перевести текстовую строку с датой и временем в ISO-формате в double-значение",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfunctypesconversionisostrtodatetime.html"
    },
  "GetTickCount": {
        "!type": "fn() -> ",
        "!doc" : "function GetTickCount: string; Получить время аптайма хост-системы Windows в миллисекундах",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncservicegettickcount.html"
    },
  "Sqr": {
        "!type": "fn() -> ",
        "!doc" : "function Sqr(x: extended): extended; Вычислить квадрат числа",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsqr.html"
    },
  "Sqrt": {
        "!type": "fn() -> ",
        "!doc" : "function Sqrt(x: extended): extended; Вычислить квадратный корень от целого или вещественного положительного числа",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathsqrt.html"
    },
  "Frac": {
        "!type": "fn() -> ",
        "!doc" : "function Frac(x: extended): integer; Получить дробную часть числа с плавающей точкой (после запятой)",
        "!url" : "https://nsoft-s.com/mcserverhelp/scriptsfuncmathfrac.html"
    }
}